<html>
<head>
<title>Ogre::GLSLLinkProgram Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLSLLinkProgram.html">GLSLLinkProgram</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLSLLinkProgram Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLSLLinkProgram" -->
<p>C++ encapsulation of GLSL Program Object.  
 <a href="classOgre_1_1GLSLLinkProgram.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>&gt;</code></p>

<p><a href="classOgre_1_1GLSLLinkProgram-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html">CustomAttribute</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Name / attribute list.  <a href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a4c4b7d498a5e72b23bed0671f4b761f0">GLSLLinkProgram</a> (<a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *vertexProgram, <a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *geometryProgram, <a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *fragmentProgram)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor should only be used by <a class="el" href="classOgre_1_1GLSLLinkProgramManager.html" title="Ogre assumes that there are separate vertex and fragment programs to deal with but GLSL has one progr...">GLSLLinkProgramManager</a>.  <a href="#a4c4b7d498a5e72b23bed0671f4b761f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#ace2c9f8687629b5f435340ca46d17efc">~GLSLLinkProgram</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a32461c68fdc7590afaa64773a5ab9dce">activate</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a program object active by making sure it is linked and then putting it in use.  <a href="#a32461c68fdc7590afaa64773a5ab9dce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a6eda4658e3db6381ed14b882843c701f">updateUniforms</a> (<a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a> params, <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> mask, <a class="el" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a> fromProgType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates program object uniforms using data from <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>.  <a href="#a6eda4658e3db6381ed14b882843c701f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a3526f538438689be70c15b677c299e4e">updatePassIterationUniforms</a> (<a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a> params)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates program object uniforms using data from pass iteration <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>.  <a href="#a3526f538438689be70c15b677c299e4e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLhandleARB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a435f2d07dbd7ac8949b17abe4e33503b">getGLHandle</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GL Handle for the program object.  <a href="#a435f2d07dbd7ac8949b17abe4e33503b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#abf3544f8843e7f45482605c924d41b54">setSkeletalAnimationIncluded</a> (bool included)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether the linked program includes the required instructions to perform skeletal animation.  <a href="#abf3544f8843e7f45482605c924d41b54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2187cd91fb668ea0ded423b795a74edb">isSkeletalAnimationIncluded</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the linked program includes the required instructions to perform skeletal animation.  <a href="#a2187cd91fb668ea0ded423b795a74edb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a23c2148dd843681cde4694b8cbb9f4ad">getAttributeIndex</a> (<a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> semantic, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the index of a non-standard attribute bound in the linked code.  <a href="#a23c2148dd843681cde4694b8cbb9f4ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a9ec36649eec49eb59e3cadfa05c39bcd">isAttributeValid</a> (<a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> semantic, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is a non-standard attribute bound in the linked code?  <a href="#a9ec36649eec49eb59e3cadfa05c39bcd"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1set.html">set</a>&lt; GLuint &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#af4a7fe6fb05fdf7318672a4d8a283b53">AttributeSet</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#aec062a386ac2fcfa978c3f6fb4c382c7">buildGLUniformReferences</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build uniform references from active named uniforms.  <a href="#aec062a386ac2fcfa978c3f6fb4c382c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a5480a22231b84e1cfa7763d8e9373c4b">extractAttributes</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Extract attributes.  <a href="#a5480a22231b84e1cfa7763d8e9373c4b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a3b291b707413f4bfa09c422000a3233c">getCombinedName</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a00bb135dc97b1ddfcdbe39454b0bdf2a">compileAndLink</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compiles and links the the vertex and fragment programs.  <a href="#a00bb135dc97b1ddfcdbe39454b0bdf2a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a291db79b8f9d910bf47d3f8783a60f34">getMicrocodeFromCache</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the the binary data of a program from the microcode cache.  <a href="#a291db79b8f9d910bf47d3f8783a60f34"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a24aca8d208dcf62fbe3bee9e759ac73d">GLUniformReferenceList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a549ee67a98b3c3a6c8999bdabad16f61">mGLUniformReferences</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Container of uniform references that are active in the program object.  <a href="#a549ee67a98b3c3a6c8999bdabad16f61"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2d6db186b5302e1561450dccdcb22350">mVertexProgram</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Linked vertex program.  <a href="#a2d6db186b5302e1561450dccdcb22350"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#afc847c4dd2068e452f43e6fea572d84f">mGeometryProgram</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Linked geometry program.  <a href="#afc847c4dd2068e452f43e6fea572d84f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a978aae098f94f94ad490219c2085b61b">mFragmentProgram</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Linked fragment program.  <a href="#a978aae098f94f94ad490219c2085b61b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2a9513f443f6ae78e28c65f8a8cc0f84">mUniformRefsBuilt</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag to indicate that uniform references have already been built.  <a href="#a2a9513f443f6ae78e28c65f8a8cc0f84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLhandleARB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#ab483d81a44b9051a5c9d83c176520b63">mGLHandle</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">GL handle for the program object.  <a href="#ab483d81a44b9051a5c9d83c176520b63"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2314e0307beae449cff5e5b5fab4509a">mLinked</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag indicating that the program object has been successfully linked.  <a href="#a2314e0307beae449cff5e5b5fab4509a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a3f2d3fb9e98153f5e744a947f2401d9d">mTriedToLinkAndFailed</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag indicating that the program object has tried to link and failed.  <a href="#a3f2d3fb9e98153f5e744a947f2401d9d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a02712c3b8c1a2ea238e37282d1cd85be">mSkeletalAnimation</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag indicating skeletal animation is being performed.  <a href="#a02712c3b8c1a2ea238e37282d1cd85be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#af4a7fe6fb05fdf7318672a4d8a283b53">AttributeSet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2471b7821b377c0ddebe4aee3ed58df9">mValidAttributes</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Custom attribute bindings.  <a href="#a2471b7821b377c0ddebe4aee3ed58df9"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html">CustomAttribute</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a482f80d83306a6948ec8193b6cc96070">msCustomAttributes</a> []</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>C++ encapsulation of GLSL Program Object. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00054">54</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="af4a7fe6fb05fdf7318672a4d8a283b53"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::AttributeSet" ref="af4a7fe6fb05fdf7318672a4d8a283b53" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1set.html">set</a>&lt;GLuint&gt;::type <a class="el" href="classOgre_1_1GLSLLinkProgram.html#af4a7fe6fb05fdf7318672a4d8a283b53">Ogre::GLSLLinkProgram::AttributeSet</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00083">83</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4c4b7d498a5e72b23bed0671f4b761f0"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::GLSLLinkProgram" ref="a4c4b7d498a5e72b23bed0671f4b761f0" args="(GLSLGpuProgram *vertexProgram, GLSLGpuProgram *geometryProgram, GLSLGpuProgram *fragmentProgram)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#a4c4b7d498a5e72b23bed0671f4b761f0">Ogre::GLSLLinkProgram::GLSLLinkProgram</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *&#160;</td>
          <td class="paramname"><em>vertexProgram</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *&#160;</td>
          <td class="paramname"><em>geometryProgram</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a> *&#160;</td>
          <td class="paramname"><em>fragmentProgram</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor should only be used by <a class="el" href="classOgre_1_1GLSLLinkProgramManager.html" title="Ogre assumes that there are separate vertex and fragment programs to deal with but GLSL has one progr...">GLSLLinkProgramManager</a>. </p>

</div>
</div>
<a class="anchor" id="ace2c9f8687629b5f435340ca46d17efc"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::~GLSLLinkProgram" ref="ace2c9f8687629b5f435340ca46d17efc" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#ace2c9f8687629b5f435340ca46d17efc">Ogre::GLSLLinkProgram::~GLSLLinkProgram</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a32461c68fdc7590afaa64773a5ab9dce"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::activate" ref="a32461c68fdc7590afaa64773a5ab9dce" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a32461c68fdc7590afaa64773a5ab9dce">Ogre::GLSLLinkProgram::activate</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Makes a program object active by making sure it is linked and then putting it in use. </p>

</div>
</div>
<a class="anchor" id="aec062a386ac2fcfa978c3f6fb4c382c7"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::buildGLUniformReferences" ref="aec062a386ac2fcfa978c3f6fb4c382c7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLLinkProgram.html#aec062a386ac2fcfa978c3f6fb4c382c7">Ogre::GLSLLinkProgram::buildGLUniformReferences</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build uniform references from active named uniforms. </p>

</div>
</div>
<a class="anchor" id="a00bb135dc97b1ddfcdbe39454b0bdf2a"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::compileAndLink" ref="a00bb135dc97b1ddfcdbe39454b0bdf2a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a00bb135dc97b1ddfcdbe39454b0bdf2a">Ogre::GLSLLinkProgram::compileAndLink</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compiles and links the the vertex and fragment programs. </p>

</div>
</div>
<a class="anchor" id="a5480a22231b84e1cfa7763d8e9373c4b"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::extractAttributes" ref="a5480a22231b84e1cfa7763d8e9373c4b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a5480a22231b84e1cfa7763d8e9373c4b">Ogre::GLSLLinkProgram::extractAttributes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Extract attributes. </p>

</div>
</div>
<a class="anchor" id="a23c2148dd843681cde4694b8cbb9f4ad"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::getAttributeIndex" ref="a23c2148dd843681cde4694b8cbb9f4ad" args="(VertexElementSemantic semantic, uint index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a23c2148dd843681cde4694b8cbb9f4ad">Ogre::GLSLLinkProgram::getAttributeIndex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&#160;</td>
          <td class="paramname"><em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the index of a non-standard attribute bound in the linked code. </p>

</div>
</div>
<a class="anchor" id="a3b291b707413f4bfa09c422000a3233c"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::getCombinedName" ref="a3b291b707413f4bfa09c422000a3233c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a3b291b707413f4bfa09c422000a3233c">Ogre::GLSLLinkProgram::getCombinedName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a435f2d07dbd7ac8949b17abe4e33503b"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::getGLHandle" ref="a435f2d07dbd7ac8949b17abe4e33503b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLhandleARB <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a435f2d07dbd7ac8949b17abe4e33503b">Ogre::GLSLLinkProgram::getGLHandle</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the GL Handle for the program object. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00122">122</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a291db79b8f9d910bf47d3f8783a60f34"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::getMicrocodeFromCache" ref="a291db79b8f9d910bf47d3f8783a60f34" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a291db79b8f9d910bf47d3f8783a60f34">Ogre::GLSLLinkProgram::getMicrocodeFromCache</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the the binary data of a program from the microcode cache. </p>

</div>
</div>
<a class="anchor" id="a9ec36649eec49eb59e3cadfa05c39bcd"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::isAttributeValid" ref="a9ec36649eec49eb59e3cadfa05c39bcd" args="(VertexElementSemantic semantic, uint index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a9ec36649eec49eb59e3cadfa05c39bcd">Ogre::GLSLLinkProgram::isAttributeValid</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&#160;</td>
          <td class="paramname"><em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is a non-standard attribute bound in the linked code? </p>

</div>
</div>
<a class="anchor" id="a2187cd91fb668ea0ded423b795a74edb"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::isSkeletalAnimationIncluded" ref="a2187cd91fb668ea0ded423b795a74edb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2187cd91fb668ea0ded423b795a74edb">Ogre::GLSLLinkProgram::isSkeletalAnimationIncluded</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether the linked program includes the required instructions to perform skeletal animation. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If this returns true, OGRE will not blend the geometry according to skeletal animation, it will expect the vertex program to do it. </dd></dl>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00138">138</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="abf3544f8843e7f45482605c924d41b54"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::setSkeletalAnimationIncluded" ref="abf3544f8843e7f45482605c924d41b54" args="(bool included)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLLinkProgram.html#abf3544f8843e7f45482605c924d41b54">Ogre::GLSLLinkProgram::setSkeletalAnimationIncluded</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>included</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether the linked program includes the required instructions to perform skeletal animation. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If this is set to true, OGRE will not blend the geometry according to skeletal animation, it will expect the vertex program to do it. </dd></dl>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00129">129</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3526f538438689be70c15b677c299e4e"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::updatePassIterationUniforms" ref="a3526f538438689be70c15b677c299e4e" args="(GpuProgramParametersSharedPtr params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a3526f538438689be70c15b677c299e4e">Ogre::GLSLLinkProgram::updatePassIterationUniforms</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a>&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates program object uniforms using data from pass iteration <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>. </p>
<p>normally called by GLSLGpuProgram::bindMultiPassParameters() just before multi pass rendering occurs. </p>

</div>
</div>
<a class="anchor" id="a6eda4658e3db6381ed14b882843c701f"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::updateUniforms" ref="a6eda4658e3db6381ed14b882843c701f" args="(GpuProgramParametersSharedPtr params, uint16 mask, GpuProgramType fromProgType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a6eda4658e3db6381ed14b882843c701f">Ogre::GLSLLinkProgram::updateUniforms</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a>&#160;</td>
          <td class="paramname"><em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>mask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a>&#160;</td>
          <td class="paramname"><em>fromProgType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates program object uniforms using data from <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>. </p>
<p>normally called by GLSLGpuProgram::bindParameters() just before rendering occurs. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a978aae098f94f94ad490219c2085b61b"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mFragmentProgram" ref="a978aae098f94f94ad490219c2085b61b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a>* <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a978aae098f94f94ad490219c2085b61b">Ogre::GLSLLinkProgram::mFragmentProgram</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Linked fragment program. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00065">65</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="afc847c4dd2068e452f43e6fea572d84f"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mGeometryProgram" ref="afc847c4dd2068e452f43e6fea572d84f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a>* <a class="el" href="classOgre_1_1GLSLLinkProgram.html#afc847c4dd2068e452f43e6fea572d84f">Ogre::GLSLLinkProgram::mGeometryProgram</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Linked geometry program. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00063">63</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab483d81a44b9051a5c9d83c176520b63"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mGLHandle" ref="ab483d81a44b9051a5c9d83c176520b63" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLhandleARB <a class="el" href="classOgre_1_1GLSLLinkProgram.html#ab483d81a44b9051a5c9d83c176520b63">Ogre::GLSLLinkProgram::mGLHandle</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>GL handle for the program object. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00070">70</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a549ee67a98b3c3a6c8999bdabad16f61"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mGLUniformReferences" ref="a549ee67a98b3c3a6c8999bdabad16f61" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a24aca8d208dcf62fbe3bee9e759ac73d">GLUniformReferenceList</a> <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a549ee67a98b3c3a6c8999bdabad16f61">Ogre::GLSLLinkProgram::mGLUniformReferences</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Container of uniform references that are active in the program object. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2314e0307beae449cff5e5b5fab4509a"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mLinked" ref="a2314e0307beae449cff5e5b5fab4509a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLint <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2314e0307beae449cff5e5b5fab4509a">Ogre::GLSLLinkProgram::mLinked</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag indicating that the program object has been successfully linked. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00072">72</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a482f80d83306a6948ec8193b6cc96070"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::msCustomAttributes" ref="a482f80d83306a6948ec8193b6cc96070" args="[]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html">CustomAttribute</a> <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a482f80d83306a6948ec8193b6cc96070">Ogre::GLSLLinkProgram::msCustomAttributes</a>[]<code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00096">96</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a02712c3b8c1a2ea238e37282d1cd85be"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mSkeletalAnimation" ref="a02712c3b8c1a2ea238e37282d1cd85be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a02712c3b8c1a2ea238e37282d1cd85be">Ogre::GLSLLinkProgram::mSkeletalAnimation</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag indicating skeletal animation is being performed. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00076">76</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3f2d3fb9e98153f5e744a947f2401d9d"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mTriedToLinkAndFailed" ref="a3f2d3fb9e98153f5e744a947f2401d9d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a3f2d3fb9e98153f5e744a947f2401d9d">Ogre::GLSLLinkProgram::mTriedToLinkAndFailed</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag indicating that the program object has tried to link and failed. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00074">74</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2a9513f443f6ae78e28c65f8a8cc0f84"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mUniformRefsBuilt" ref="a2a9513f443f6ae78e28c65f8a8cc0f84" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2a9513f443f6ae78e28c65f8a8cc0f84">Ogre::GLSLLinkProgram::mUniformRefsBuilt</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to indicate that uniform references have already been built. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00068">68</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2471b7821b377c0ddebe4aee3ed58df9"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mValidAttributes" ref="a2471b7821b377c0ddebe4aee3ed58df9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLLinkProgram.html#af4a7fe6fb05fdf7318672a4d8a283b53">AttributeSet</a> <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2471b7821b377c0ddebe4aee3ed58df9">Ogre::GLSLLinkProgram::mValidAttributes</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Custom attribute bindings. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2d6db186b5302e1561450dccdcb22350"></a><!-- doxytag: member="Ogre::GLSLLinkProgram::mVertexProgram" ref="a2d6db186b5302e1561450dccdcb22350" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLGpuProgram.html">GLSLGpuProgram</a>* <a class="el" href="classOgre_1_1GLSLLinkProgram.html#a2d6db186b5302e1561450dccdcb22350">Ogre::GLSLLinkProgram::mVertexProgram</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Linked vertex program. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00061">61</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:22
</p>
</body>
</html>
